<?php

/**
 * This file is part of ILIAS, a powerful learning management system
 * published by ILIAS open source e-Learning e.V.
 *
 * ILIAS is licensed with the GPL-3.0,
 * see https://www.gnu.org/licenses/gpl-3.0.en.html
 * You should have received a copy of said license along with the
 * source code, too.
 *
 * If this is not the case or you just want to try ILIAS, you'll find
 * us at:
 * https://www.ilias.de
 * https://github.com/ILIAS-eLearning
 *
 *********************************************************************/

declare(strict_types=1);

/**
 * @author  Niels Theen <ntheen@databay.de>
 */
class ilCertificateTestTemplateDeleteActionTest extends ilCertificateBaseTestCase
{
    public function testDelete(): void
    {
        $deleteAction = $this->getMockBuilder(ilCertificateDeleteAction::class)
            ->getMock();

        $deleteAction
            ->expects($this->once())
            ->method('delete');

        $objectHelper = $this->getMockBuilder(ilCertificateObjectHelper::class)
            ->getMock();

        $object = $this->getMockBuilder(ilObjTest::class)
            ->disableOriginalConstructor()
            ->getMock();

        $objectHelper->method('getInstanceByObjId')
            ->willReturn($object);

        $action = new ilCertificateTestTemplateDeleteAction(
            $deleteAction,
            $objectHelper
        );

        $action->delete(100, 200);
    }
}
