# Experts Groups

**Expert Groups support the ILIAS community in improving quality aspects in the
fields of usability, performance, security, software architecture and the
development process.** These cross cutting concerns are the responsibility of
the Technical Board, as assigned by the by-laws of the ILIAS society. Still,
these fields cannot be treated effectively by the Technical Board alone but
need broad consideration in all stages of the development process. The expert
groups are meant to help the community and the Technical Board by providing
knowledge and insights in various forms.

To do that, **the groups will work on any means that serve the goal to improve
quality e.g. consultancy, tools, code, concepts, documentation, guideline, process
definitions.** Depending on the field, the state of the art in that field and the
problem at hand, different approaches for improvements may be conceivable. The
expert group are expected to identify and propose means that are effective,
efficient and appropriate.

To implement them, **the experts use existing processes for decision making, e.g.
the Jour Fixe**, if required. They are also expected to use other processes and
tools provided by the ILIAS community, such as the Mantis Issue Tracker, GitHub,
the ILIAS conference and the development conference. The experts should convince
other community members by tangible reasoning, just as other community members.

To indicate a special trust of the TB, the **expert groups are appointed by the
Technical Board**. This also gives the experts a special visibility in the
community. **The members of the experts groups are appointed for their well-founded
knowledge in the respective field**. They all are willing and able to
contribute and share that knowledge. **All members of expert groups will be listed
publicly.** The TB is looking to include all people with the required expertise
and the willingness to contribute. **Membership applications can be handed in to
the various expert groups. The Technical Board will confirm memberships and ensure
the general working capacity of the groups.**

The TB expects the experts to contribute their insights, opinions and criticism
as early as possible in the development process. Also, the TB expects all community
members to seek the experts advice and listen to their feedback. **The Technical
Board is committed to make the experts opinions heard in the development of ILIAS.
Recommendations by experts will have a strong impact on the decisions of the TB.** 

## Existing Expert Groups
### UI/UX/A11y Expert Group
The UI/UX/A11y Expert Group is concerned with the ILIAS User Interface as a whole. Its
responsabilities are wide ranging, so it is not to be expected for all its members to be
experts in all aspects it tackles. The UI/UX/A11y Expert Group can be reached through its own
email address (ux@lists.ilias.de).
* The task of the UX/UI/A11y experts is to promote uniform user guidance and simple usability across ILIAS, for sighted users as well as for user with special requirements for the user interface.
* The UX/UI/A11y experts help to ask the right questions and find answers for all concepts, ideas, or problems regarding the user interface, the user experience or the accessibility of ILIAS. They take existing kitchen sink components and their rules into account and are willing to participate in the development or improvement of UI components for the UI framework. They coordinate their work with the coordinators of the UI framework.
* The UI/UX/A11y experts participate in related SIGs, such as SIG Accessibility or SIG Client, and take part in the discussions there.
* As a common and open space to discuss issues, the UI/UX/A11y experts run the UI/UX/A11y clinic.
* The UI/UX/A11y Expert Group plays a central role in the [Accessibility Process](accessibility-process.md#participants).

### Security Expert Group
The Security Expert Group can be reached through its own email address (security@lists.ilias.de).
More information on the Security Expert Group can be found in the
[Documentation of the Security Group](security.md).
